Debian Bug report logs - #534520
ca-certificates: keytool error: java SHA384withECDSA Signature not available

version graph

Package: ca-certificates-java; Maintainer for ca-certificates-java is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for ca-certificates-java is src:ca-certificates-java.

Reported by: Drew Parsons <dparsons@debian.org>

Date: Thu, 25 Jun 2009 01:36:01 UTC

Severity: serious

Fixed in version ca-certificates-java/20090629

Done: Matthias Klose <doko@ubuntu.com>

Bug is archived. No further changes may be made.

Forwarded to http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=356

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Philipp Kern <pkern@debian.org>:
Bug#534520; Package ca-certificates. (Thu, 25 Jun 2009 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Drew Parsons <dparsons@debian.org>:
New Bug report received and forwarded. Copy sent to Philipp Kern <pkern@debian.org>. (Thu, 25 Jun 2009 01:36:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Drew Parsons <dparsons@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ca-certificates: keytool error: java SHA384withECDSA Signature not available
Date: Thu, 25 Jun 2009 11:35:03 +1000
Package: ca-certificates
Version: 20090624
Severity: normal

On the latest upgrade, the following error appeared:

Setting up ca-certificates (20090624) ...
Updating certificates in /etc/ssl/certs... 4 added, 2 removed; done.
Running hooks in /etc/ca-certificates/update.d....
updating keystore /etc/ssl/certs/java/cacerts...
keytool error: java.security.NoSuchAlgorithmException: SHA384withECDSA Signature not available
  error adding /etc/ssl/certs/COMODO_ECC_Certification_Authority.pem
Certificate was added to keystore
  added: /etc/ssl/certs/DigiNotar_Root_CA.pem
Certificate was added to keystore
  added: /etc/ssl/certs/Network_Solutions_Certificate_Authority.pem
Certificate was added to keystore
  added: /etc/ssl/certs/WellsSecure_Public_Root_Certificate_Authority.pem
  does not exists: /etc/ssl/certs/Equifax_Secure_Global_eBusiness_CA.pem
  does not exists: /etc/ssl/certs/UTN_USERFirst_Object_Root_CA.pem
failed.
E: /etc/ca-certificates/update.d/jks-keystore exited with code 1.


This new version of ca-certificates does appear to be properly
installed however, so perhaps it's not as important a bug as it sounds?

Drew


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ca-certificates depends on:
ii  debconf [debconf-2.0]         1.5.26     Debian configuration management sy
ii  openssl                       0.9.8k-3   Secure Socket Layer (SSL) binary a

ca-certificates recommends no packages.

ca-certificates suggests no packages.

-- debconf information:
  ca-certificates/enable_crts: brasil.gov.br/brasil.gov.br.crt, cacert.org/cacert.org.crt, cacert.org/class3.crt, cacert.org/root.crt, debconf.org/ca.crt, gouv.fr/cert_igca_dsa.crt, gouv.fr/cert_igca_rsa.crt, mozilla/ABAecom_=sub.__Am._Bankers_Assn.=_Root_CA.crt, mozilla/AddTrust_External_Root.crt, mozilla/AddTrust_Low-Value_Services_Root.crt, mozilla/AddTrust_Public_Services_Root.crt, mozilla/AddTrust_Qualified_Certificates_Root.crt, mozilla/America_Online_Root_Certification_Authority_1.crt, mozilla/America_Online_Root_Certification_Authority_2.crt, mozilla/AOL_Time_Warner_Root_Certification_Authority_1.crt, mozilla/AOL_Time_Warner_Root_Certification_Authority_2.crt, mozilla/Baltimore_CyberTrust_Root.crt, mozilla/beTRUSTed_Root_CA-Baltimore_Implementation.crt, mozilla/beTRUSTed_Root_CA.crt, mozilla/beTRUSTed_Root_CA_-_Entrust_Implementation.crt, mozilla/beTRUSTed_Root_CA_-_RSA_Implementation.crt, mozilla/Camerfirma_Chambers_of_Commerce_Root.crt, mozilla/Camerfirma_Global_Chambersign_Root.crt, mozilla/Certplus_Class_2_Primary_CA.crt, mozilla/Certum_Root_CA.crt, mozilla/Comodo_AAA_Services_root.crt, mozilla/COMODO_Certification_Authority.crt, mozilla/COMODO_ECC_Certification_Authority.crt, mozilla/Comodo_Secure_Services_root.crt, mozilla/Comodo_Trusted_Services_root.crt, mozilla/DigiCert_Assured_ID_Root_CA.crt, mozilla/DigiCert_Global_Root_CA.crt, mozilla/DigiCert_High_Assurance_EV_Root_CA.crt, mozilla/DigiNotar_Root_CA.crt, mozilla/Digital_Signature_Trust_Co._Global_CA_1.crt, mozilla/Digital_Signature_Trust_Co._Global_CA_2.crt, mozilla/Digital_Signature_Trust_Co._Global_CA_3.crt, mozilla/Digital_Signature_Trust_Co._Global_CA_4.crt, mozilla/DST_ACES_CA_X6.crt, mozilla/DST_Root_CA_X3.crt, mozilla/Entrust.net_Global_Secure_Personal_CA.crt, mozilla/Entrust.net_Global_Secure_Server_CA.crt, mozilla/Entrust.net_Premium_2048_Secure_Server_CA.crt, mozilla/Entrust.net_Secure_Personal_CA.crt, mozilla/Entrust.net_Secure_Server_CA.crt, mozilla/Entrust_Root_Certification_Authority.crt, mozilla/Equifax_Secure_CA.crt, mozilla/Equifax_Secure_eBusiness_CA_1.crt, mozilla/Equifax_Secure_eBusiness_CA_2.crt, mozilla/Firmaprofesional_Root_CA.crt, mozilla/GeoTrust_Global_CA_2.crt, mozilla/GeoTrust_Global_CA.crt, mozilla/GeoTrust_Primary_Certification_Authority.crt, mozilla/GeoTrust_Universal_CA_2.crt, mozilla/GeoTrust_Universal_CA.crt, mozilla/GlobalSign_Root_CA.crt, mozilla/GlobalSign_Root_CA_-_R2.crt, mozilla/Go_Daddy_Class_2_CA.crt, mozilla/GTE_CyberTrust_Global_Root.crt, mozilla/GTE_CyberTrust_Root_CA.crt, mozilla/IPS_Chained_CAs_root.crt, mozilla/IPS_CLASE1_root.crt, mozilla/IPS_CLASE3_root.crt, mozilla/IPS_CLASEA1_root.crt, mozilla/IPS_CLASEA3_root.crt, mozilla/IPS_Servidores_root.crt, mozilla/IPS_Timestamping_root.crt, mozilla/NetLock_Business_=Class_B=_Root.crt, mozilla/NetLock_Express_=Class_C=_Root.crt, mozilla/NetLock_Notary_=Class_A=_Root.crt, mozilla/NetLock_Qualified_=Class_QA=_Root.crt, mozilla/Network_Solutions_Certificate_Authority.crt, mozilla/QuoVadis_Root_CA_2.crt, mozilla/QuoVadis_Root_CA_3.crt, mozilla/QuoVadis_Root_CA.crt, mozilla/RSA_Root_Certificate_1.crt, mozilla/RSA_Security_1024_v3.crt, mozilla/RSA_Security_2048_v3.crt, mozilla/Secure_Global_CA.crt, mozilla/SecureTrust_CA.crt, mozilla/Security_Communication_Root_CA.crt, mozilla/Sonera_Class_1_Root_CA.crt, mozilla/Sonera_Class_2_Root_CA.crt, mozilla/Staat_der_Nederlanden_Root_CA.crt, mozilla/Starfield_Class_2_CA.crt, mozilla/StartCom_Certification_Authority.crt, mozilla/StartCom_Ltd..crt, mozilla/Swisscom_Root_CA_1.crt, mozilla/SwissSign_Gold_CA_-_G2.crt, mozilla/SwissSign_Platinum_CA_-_G2.crt, mozilla/SwissSign_Silver_CA_-_G2.crt, mozilla/Taiwan_GRCA.crt, mozilla/TC_TrustCenter__Germany__Class_2_CA.crt, mozilla/TC_TrustCenter__Germany__Class_3_CA.crt, mozilla/TDC_Internet_Root_CA.crt, mozilla/TDC_OCES_Root_CA.crt, mozilla/Thawte_Personal_Basic_CA.crt, mozilla/Thawte_Personal_Freemail_CA.crt, mozilla/Thawte_Personal_Premium_CA.crt, mozilla/Thawte_Premium_Server_CA.crt, mozilla/thawte_Primary_Root_CA.crt, mozilla/Thawte_Server_CA.crt, mozilla/Thawte_Time_Stamping_CA.crt, mozilla/TURKTRUST_Certificate_Services_Provider_Root_1.crt, mozilla/TURKTRUST_Certificate_Services_Provider_Root_2.crt, mozilla/UTN_DATACorp_SGC_Root_CA.crt, mozilla/UTN_USERFirst_Email_Root_CA.crt, mozilla/UTN_USERFirst_Hardware_Root_CA.crt, mozilla/UTN-USER_First-Network_Applications.crt, mozilla/ValiCert_Class_1_VA.crt, mozilla/ValiCert_Class_2_VA.crt, mozilla/Verisign_Class_1_Public_Primary_Certification_Authority.crt, mozilla/Verisign_Class_1_Public_Primary_Certification_Authority_-_G2.crt, mozilla/Verisign_Class_1_Public_Primary_Certification_Authority_-_G3.crt, mozilla/Verisign_Class_2_Public_Primary_Certification_Authority.crt, mozilla/Verisign_Class_2_Public_Primary_Certification_Authority_-_G2.crt, mozilla/Verisign_Class_2_Public_Primary_Certification_Authority_-_G3.crt, mozilla/Verisign_Class_3_Public_Primary_Certification_Authority.crt, mozilla/Verisign_Class_3_Public_Primary_Certification_Authority_-_G2.crt, mozilla/Verisign_Class_3_Public_Primary_Certification_Authority_-_G3.crt, mozilla/VeriSign_Class_3_Public_Primary_Certification_Authority_-_G5.crt, mozilla/Verisign_Class_4_Public_Primary_Certification_Authority_-_G2.crt, mozilla/Verisign_Class_4_Public_Primary_Certification_Authority_-_G3.crt, mozilla/Verisign_RSA_Secure_Server_CA.crt, mozilla/Verisign_Time_Stamping_Authority_CA.crt, mozilla/Visa_eCommerce_Root.crt, mozilla/Visa_International_Global_Root_2.crt, mozilla/Wells_Fargo_Root_CA.crt, mozilla/WellsSecure_Public_Root_Certificate_Authority.crt, mozilla/XRamp_Global_CA_Root.crt, quovadis.bm/QuoVadis_Root_Certification_Authority.crt, signet.pl/signet_ca1_pem.crt, signet.pl/signet_ca2_pem.crt, signet.pl/signet_ca3_pem.crt, signet.pl/signet_ocspklasa2_pem.crt, signet.pl/signet_ocspklasa3_pem.crt, signet.pl/signet_pca2_pem.crt, signet.pl/signet_pca3_pem.crt, signet.pl/signet_rootca_pem.crt, signet.pl/signet_tsa1_pem.crt, spi-inc.org/spi-ca-2003.crt, spi-inc.org/spi-cacert-2008.crt, telesec.de/deutsche-telekom-root-ca-2.crt
  ca-certificates/new_crts:
  ca-certificates/trust_new_crts: yes




Bug reassigned from package `ca-certificates' to `ca-certificates-java'. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Thu, 25 Jun 2009 06:00:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#534520; Package ca-certificates-java. (Thu, 25 Jun 2009 06:21:09 GMT) Full text and rfc822 format available.

Message #10 received at 534520@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 534520@bugs.debian.org, ca-certificates-java@bugs.debian.org
Cc: Drew Parsons <dparsons@debian.org>, 534520@bugs.debian.org
Subject: Re: Bug#534520: ca-certificates: keytool error: java SHA384withECDSA Signature not available
Date: Thu, 25 Jun 2009 08:19:13 +0200
[Message part 1 (text/plain, inline)]
Dear maintainer of ca-certificates-java,

On Thu, Jun 25, 2009 at 11:35:03AM +1000, Drew Parsons wrote:
> On the latest upgrade, the following error appeared:
> 
> Setting up ca-certificates (20090624) ...
> Updating certificates in /etc/ssl/certs... 4 added, 2 removed; done.
> Running hooks in /etc/ca-certificates/update.d....
> updating keystore /etc/ssl/certs/java/cacerts...
> keytool error: java.security.NoSuchAlgorithmException: SHA384withECDSA Signature not available
>   error adding /etc/ssl/certs/COMODO_ECC_Certification_Authority.pem
> Certificate was added to keystore
>   added: /etc/ssl/certs/DigiNotar_Root_CA.pem
> Certificate was added to keystore
>   added: /etc/ssl/certs/Network_Solutions_Certificate_Authority.pem
> Certificate was added to keystore
>   added: /etc/ssl/certs/WellsSecure_Public_Root_Certificate_Authority.pem
>   does not exists: /etc/ssl/certs/Equifax_Secure_Global_eBusiness_CA.pem
>   does not exists: /etc/ssl/certs/UTN_USERFirst_Object_Root_CA.pem
> failed.
> E: /etc/ca-certificates/update.d/jks-keystore exited with code 1.
> 
> 
> This new version of ca-certificates does appear to be properly
> installed however, so perhaps it's not as important a bug as it sounds?

I am no more considering errors of the hooks as being so serious to tear
down upgrades.  I know that this loses information as you won't get called
with added/removed properly anymore.  On the other hand I'm entirely
unhappy about all the upgrade failures I received in both Debian and
Ubuntu.

Maybe I should state the culprit package though.  I'm just vary of the
dpkg -S impact during upgrades.

(In this case I tested the upgrade with ca-certificates-java, of course,
but my keytool was able to process the Comodo certificate without
problems.)

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#534520; Package ca-certificates-java. (Thu, 25 Jun 2009 06:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 25 Jun 2009 06:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 534520@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: 534520@bugs.debian.org
Cc: ca-certificates-java@bugs.debian.org
Subject: Re: Bug#534520: ca-certificates: keytool error: java SHA384withECDSA Signature not available
Date: Thu, 25 Jun 2009 08:36:47 +0200
On Thu, Jun 25, 2009 at 08:19:13AM +0200, Philipp Kern wrote:
> (In this case I tested the upgrade with ca-certificates-java, of course,
> but my keytool was able to process the Comodo certificate without
> problems.)

So I thought.  But it looks that I was wrong.  I will test it next time.
However it would be cool if ca-certificates-java would provide me with
an easy utility to check compatibility.

Kind regards,
Philipp Kern





Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#534520; Package ca-certificates-java. (Thu, 25 Jun 2009 20:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 25 Jun 2009 20:30:02 GMT) Full text and rfc822 format available.

Message #20 received at 534520@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 534520@bugs.debian.org, control@bugs.debian.org
Subject: Please fix 534520 !
Date: Thu, 25 Jun 2009 22:25:21 +0200
severity 534520 serious
thanks

  Hello,

  As already mention in the bug report, ca-certificates-java refuses to
install with an error in the spirit of:

E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up ca-certificates-java (20081028) ...
creating /etc/ssl/certs/java/cacerts...
keytool error: java.security.NoSuchAlgorithmException: SHA384withECDSA
Signature not available
  error adding mozilla/COMODO_ECC_Certification_Authority.crt
Certificate was added to keystore
  added certificate mozilla/DigiNotar_Root_CA.crt
Certificate was added to keystore
  added certificate mozilla/Network_Solutions_Certificate_Authority.crt
Certificate was added to keystore
  added certificate
mozilla/WellsSecure_Public_Root_Certificate_Authority.crt
failed.
dpkg: error processing ca-certificates-java (--configure):
 subprocess installed post-installation script returned error exit status 1

  This makes packages depending on it FTBS in a pbuilder environment.
This is, IMHO, a serious bug, since it prevents other people from
contributing to Debian...

  Could you fix it reasonably soon, please ;-) ? Is there any way I
could help ?

  Cheers !

	Vincent

-- 
Vincent Fourmond, Debian Developer
http://vince-debian.blogspot.com/

I have always wished for my computer to be as easy to use as my
telephone; my wish has come true because I can no longer figure out
how to use my telephone.
 -- Bjarne Stroustrup

Vincent, not listening to anything for now




Severity set to `serious' from `normal' Request was from Vincent Fourmond <fourmond@debian.org> to control@bugs.debian.org. (Thu, 25 Jun 2009 20:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#534520; Package ca-certificates-java. (Thu, 25 Jun 2009 21:49:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 25 Jun 2009 21:49:48 GMT) Full text and rfc822 format available.

Message #27 received at 534520@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: Vincent Fourmond <fourmond@debian.org>, 534520@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: Re: [Openjdk] Bug#534520: Please fix 534520 !
Date: Thu, 25 Jun 2009 23:31:47 +0200
forwarded 534520 http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=356
thanks

Vincent Fourmond schrieb:
> severity 534520 serious
> thanks
> 
>   Hello,
> 
>   As already mention in the bug report, ca-certificates-java refuses to
> install with an error in the spirit of:
> 
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
> Setting up ca-certificates-java (20081028) ...
> creating /etc/ssl/certs/java/cacerts...
> keytool error: java.security.NoSuchAlgorithmException: SHA384withECDSA
> Signature not available
>   error adding mozilla/COMODO_ECC_Certification_Authority.crt
> Certificate was added to keystore
>   added certificate mozilla/DigiNotar_Root_CA.crt
> Certificate was added to keystore
>   added certificate mozilla/Network_Solutions_Certificate_Authority.crt
> Certificate was added to keystore
>   added certificate
> mozilla/WellsSecure_Public_Root_Certificate_Authority.crt
> failed.
> dpkg: error processing ca-certificates-java (--configure):
>  subprocess installed post-installation script returned error exit status 1
> 
>   This makes packages depending on it FTBS in a pbuilder environment.
> This is, IMHO, a serious bug, since it prevents other people from
> contributing to Debian...
> 
>   Could you fix it reasonably soon, please ;-) ? Is there any way I
> could help ?

sure, please add support for this signature to OpenJDK.





Noted your statement that Bug has been forwarded to http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=356. Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Thu, 25 Jun 2009 21:50:08 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@ubuntu.com>:
You have taken responsibility. (Mon, 29 Jun 2009 11:03:15 GMT) Full text and rfc822 format available.

Notification sent to Drew Parsons <dparsons@debian.org>:
Bug acknowledged by developer. (Mon, 29 Jun 2009 11:03:15 GMT) Full text and rfc822 format available.

Message #34 received at 534520-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@ubuntu.com>
To: 534520-close@bugs.debian.org
Subject: Bug#534520: fixed in ca-certificates-java 20090629
Date: Mon, 29 Jun 2009 10:47:02 +0000
Source: ca-certificates-java
Source-Version: 20090629

We believe that the bug you reported is fixed in the latest version of
ca-certificates-java, which is due to be installed in the Debian FTP archive:

ca-certificates-java_20090629.dsc
  to pool/main/c/ca-certificates-java/ca-certificates-java_20090629.dsc
ca-certificates-java_20090629.tar.gz
  to pool/main/c/ca-certificates-java/ca-certificates-java_20090629.tar.gz
ca-certificates-java_20090629_all.deb
  to pool/main/c/ca-certificates-java/ca-certificates-java_20090629_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534520@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@ubuntu.com> (supplier of updated ca-certificates-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Jun 2009 11:27:59 +0200
Source: ca-certificates-java
Binary: ca-certificates-java
Architecture: source all
Version: 20090629
Distribution: unstable
Urgency: low
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Changed-By: Matthias Klose <doko@ubuntu.com>
Description: 
 ca-certificates-java - Common CA certificates (JKS keystore)
Closes: 512293 534520 534533
Changes: 
 ca-certificates-java (20090629) unstable; urgency=low
 .
   * debian/rules, debian/postinst, debian/jks-keystore.hook: Filter out
     SHA384withECDSA certificates since keytool won't support them.
     LP: #392104, closes: #534520.
   * Fix typo in hook. Closes: #534533.
   * Use java6-runtime-headless as alternative dependency. Closes: #512293.
Checksums-Sha1: 
 f5ad8bb3d858c81c9ea68619a240b5447c6c3226 874 ca-certificates-java_20090629.dsc
 c2cacc6027398300550aeb3c1b8607bc25b94baa 4347 ca-certificates-java_20090629.tar.gz
 8817ddabffc8e06e34273d72b84137882bdc54cb 102084 ca-certificates-java_20090629_all.deb
Checksums-Sha256: 
 63ae75574292bf3505e81192351718030639ca7843523e4af520242ca37d2e9e 874 ca-certificates-java_20090629.dsc
 5f6067a7beddbd57f09452b44c414dcbb32fd7b02dac44ed7970193c4a703b83 4347 ca-certificates-java_20090629.tar.gz
 c5b0e5968f9e66f5a7114023985de1078211be3d4ed4a25ea1d8cd92e51f8e4d 102084 ca-certificates-java_20090629_all.deb
Files: 
 29e112f9cf0fe0375090c9f0b2781050 874 misc optional ca-certificates-java_20090629.dsc
 2fef5d797832ea39bbbfd66213b98e62 4347 misc optional ca-certificates-java_20090629.tar.gz
 a359f5ba6baea4b7f3e0222fa5d837f2 102084 misc optional ca-certificates-java_20090629_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpImHMACgkQStlRaw+TLJxMygCggj+XhTWOYIJKRg0xbhy2F1YY
B4sAnR6Bsjy3rnk7Whkpf2BInofDmnkY
=Wb/T
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, OpenJDK Team <openjdk@lists.launchpad.net>:
Bug#534520; Package ca-certificates-java. (Thu, 09 Jul 2009 15:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to ankostis <ankostis@gmail.com>:
Extra info received and forwarded to list. Copy sent to OpenJDK Team <openjdk@lists.launchpad.net>. (Thu, 09 Jul 2009 15:42:05 GMT) Full text and rfc822 format available.

Message #39 received at 534520@bugs.debian.org (full text, mbox):

From: ankostis <ankostis@gmail.com>
To: 534520@bugs.debian.org
Subject: 356@icedtea has been shown how to fix
Date: Thu, 9 Jul 2009 18:38:48 +0300
According to the last reply on the icedtea bug:
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=356
it is possible for debian to resolve succesfully this bug
and import the Comodo ECC certificate using SunPKCS11 provider

Kostis Anagnostopoulos




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 10 Aug 2009 07:29:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:50:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.